## org.mariadb.jdbc.internal.io.socket
Class SharedMemorySocket

    java.lang.Object
      java.net.Socket
          org.mariadb.jdbc.internal.io.socket.SharedMemorySocket

    public class SharedMemorySocket

extends Socket

Nested Class Summary
`static interface` `SharedMemorySocket.Advapi32`
`static interface` `SharedMemorySocket.Kernel32`

Field Summary
`static String` `EVERYONE_SYNCHRONIZE_SDDL`

Constructor Summary
`SharedMemorySocket(String name)` Create ShareMemorySocket.

Method Summary
`void` `close()`
`void` `connect(SocketAddress endpoint)`
`void` `connect(SocketAddress endpoint, int timeout)`
`int` `getConnectNumber()`
`InputStream` `getInputStream()`
`OutputStream` `getOutputStream()`
`static com.sun.jna.Pointer` `mapMemory(String mapName, int mode, int size)` Map memory
`static com.sun.jna.platform.win32.WinNT.HANDLE` `openEvent(String name)`
`void` `setKeepAlive(boolean b)`
`void` `setReceiveBufferSize(int size)`
`void` `setSendBufferSize(int size)`
`void` `setSoLinger(boolean b, int i)`
`void` `setSoTimeout(int t)`
`void` `setTcpNoDelay(boolean b)`
`void` `shutdownInput()`
`void` `shutdownOutput()`

Methods inherited from class java.net.Socket

`bind, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setOOBInline, setPerformancePreferences, setReuseAddress, setSocketImplFactory, setTrafficClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EVERYONE_SYNCHRONIZE_SDDL

    public static final String EVERYONE_SYNCHRONIZE_SDDL

See Also:
  Constant Field Values

Constructor Detail

### SharedMemorySocket

    public SharedMemorySocket(String name)
                       throws IOException

  Create ShareMemorySocket.

  Parameters:
    `name` - name
  Throws:
    `IOException` - exception

Method Detail

### openEvent

    public static com.sun.jna.platform.win32.WinNT.HANDLE openEvent(String name)

### mapMemory

    public static com.sun.jna.Pointer mapMemory(String mapName,
                                                int mode,
                                                int size)

  Map memory

  Parameters:
    `mapName` - map name
    `mode` - mode
    `size` - size
  Returns:
    Pointer

### connect

    public void connect(SocketAddress endpoint)
                 throws IOException

  Overrides:
    `connect` in class `Socket`
  Throws:
    `IOException`

### getConnectNumber

    public int getConnectNumber()
                         throws IOException

  Throws:
    `IOException`

### connect

    public void connect(SocketAddress endpoint,
                        int timeout)
                 throws IOException

  Overrides:
    `connect` in class `Socket`
  Throws:
    `IOException`

### getInputStream

    public InputStream getInputStream()

  Overrides:
    `getInputStream` in class `Socket`

### getOutputStream

    public OutputStream getOutputStream()

  Overrides:
    `getOutputStream` in class `Socket`

### setTcpNoDelay

    public void setTcpNoDelay(boolean b)

  Overrides:
    `setTcpNoDelay` in class `Socket`

### setKeepAlive

    public void setKeepAlive(boolean b)

  Overrides:
    `setKeepAlive` in class `Socket`

### setReceiveBufferSize

    public void setReceiveBufferSize(int size)

  Overrides:
    `setReceiveBufferSize` in class `Socket`

### setSendBufferSize

    public void setSendBufferSize(int size)

  Overrides:
    `setSendBufferSize` in class `Socket`

### setSoLinger

    public void setSoLinger(boolean b,
                            int i)

  Overrides:
    `setSoLinger` in class `Socket`

### setSoTimeout

    public void setSoTimeout(int t)

  Overrides:
    `setSoTimeout` in class `Socket`

### shutdownInput

    public void shutdownInput()

  Overrides:
    `shutdownInput` in class `Socket`

### shutdownOutput

    public void shutdownOutput()

  Overrides:
    `shutdownOutput` in class `Socket`

### close

    public void close()

  Overrides:
    `close` in class `Socket`

Copyright © 2017. All rights reserved.